diff --git a/lazyloader.module b/lazyloader.module
index fed8b2a..0d98053 100644
--- a/lazyloader.module
+++ b/lazyloader.module
@@ -119,7 +119,7 @@ function lazyloader_image($variables) {
 
   $attributes = $variables['attributes'];
   $noscript_attributes = $variables['attributes'];
-
+  $attributes['class'] = array('loaded');
   if ($settings['enabled'] && !drupal_match_path($_GET['q'], $settings['exclude'])) {
 
     $attributes['data-src'] = file_create_url($variables['path']);
@@ -180,7 +180,16 @@ function lazyloader_process_html(&$vars) {
           $("img[data-src]").lazyloader({distance: ' . trim($settings['distance']) . ', icon: "' . $icon . '" });
         });
       </script>';
-
+    $image_placeholder = !empty($settings['placeholder']) ? base_path() . trim($settings['placeholder']): LAZYLOADER_PATH . '/image_placeholder.gif';
+    $lazyloader_init .= '<script type="text/javascript">
+        jQuery(function($){
+          $("div.node img::not(.lazyloader-icon):not(.loaded)").each(function() {
+            $(this).attr("data-src", $(this).attr("src"))
+                    .attr("src", "' . $image_placeholder . '").wrap("<div class=\"image-container\"></div>")
+                      .lazyloader({distance: ' . trim($settings['distance']) . ', icon: "' . $icon . '" });
+          });
+        });
+      </script>';
     $vars['page_bottom'] .= $lazyloader_init;
   }
 }
